xyy_82216 发表于 2006-5-12 23:58:00

急急急~~!怎么样点击图形,弹出对话框窗体来输入参数!~~~


<P>我通过输入参数的窗体输入参数,然后画了一个图形,画完图,我怎么在次点击图的时候在次让它弹出参数窗体,然后我可以从新输入参数,来从新画图,或者改变图的大小??</P>
<P><BR>&nbsp;</P>

xyy_82216 发表于 2006-5-13 00:14:00

<P>Option Explicit</P>
<P>&nbsp;</P>
<P>'定义图形的12条边界线<BR>Global lineobject(0 To 11) As AcadLine<BR>'定义图形面域<BR>Global regionobject As Variant<BR>&nbsp;'定义图形拉伸后的实体<BR>Global solidobject As Acad3DSolid</P>
<P><BR>'定义图形的宽度、高度和厚度等参数<BR>Global beamwidth As Double<BR>Global beamheight As Double<BR>Global beamwebthickness As Double<BR>Global solidlength As Double<BR>Global beammi As Double<BR>Global beamsectmod As Double<BR>Global beamexists As Boolean<BR>Global buffblock As AcadBlock</P>
<P><BR>Public Sub createibeam(width As Double, height As Double, webthickness As Double, solcdlength As Double)</P>
<P>&nbsp;&nbsp; definebeam width, height, webthickness<BR>&nbsp;&nbsp; <BR>&nbsp;&nbsp; regionobject = buffblock.AddRegion(lineobject)<BR>&nbsp;&nbsp; Set solidobject = ThisDrawing.ModelSpace.AddExtrudedSolid(regionobject(0), solidlength, 0)<BR>&nbsp;&nbsp; beamexists = True<BR>&nbsp;&nbsp; Dim vportobj As Object<BR>&nbsp;&nbsp; Set vportobj = ThisDrawing.Viewports.Add("IBEAMVIEWPORT")<BR>&nbsp;&nbsp; ThisDrawing.ActiveViewport = vportobj<BR>&nbsp;&nbsp; <BR>&nbsp;&nbsp; <BR>&nbsp;&nbsp; Dim newdirection(0 To 2) As Double<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; newdirection(0) = 1#<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; newdirection(1) = -1#<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; newdirection(2) = 1#<BR>&nbsp;&nbsp;&nbsp; vportobj.Direction = newdirection<BR>&nbsp;&nbsp;&nbsp; ThisDrawing.ActiveViewport = vportobj<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp; <BR>End Sub</P>
<P><BR>Public Function checkrules(width As Double, height As Double, webthickness As Double) As Boolean<BR>&nbsp;&nbsp;&nbsp; Dim webheight As Double<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If (width &gt; 0) And (height &gt; 0) And (webthickness &gt; 0) Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; webheight = height - 2 * webthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If webheight &lt;= 0 Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Exit Function<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If (width &gt; webthickness) And (height &gt; webheight) And (webthickness &gt;= width / 6) And (webheight &gt;= width / 4) Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; checkrules = True<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>End Function</P>
<P>Sub IBEAMVBA()<BR>&nbsp;&nbsp; UserForm1.Show<BR>End Sub<BR>Private Sub definebeam(width As Double, height As Double, webthickness As Double)<BR>&nbsp;&nbsp; Dim x(0 To 11) As Double<BR>&nbsp;&nbsp; Dim y(0 To 11) As Double<BR>&nbsp;&nbsp; Dim z As Double<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; z = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp; Dim halfflange As Double<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; halfflange = (width - webthickness) / 2<BR>&nbsp;&nbsp; Dim halfht As Double<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; halfht = height - 2 * webthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp; x(0) = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(0) = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(1) = x(0) + width<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(1) = y(0)<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(2) = x(1)<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(2) = y(1) + webthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(3) = x(2) - halfflange<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(3) = y(2)<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(4) = x(3)<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(4) = y(3) + halfht<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(5) = x(2)<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(5) = y(4)<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(6) = x(5)<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(6) = y(5) + webthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(7) = x(0)<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(7) = y(6)<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(8) = x(0)<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(8) = y(5)<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(9) = x(8) + halfflange<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(9) = y(4)<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(10) = x(9)<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(10) = y(2)<BR>&nbsp;&nbsp;&nbsp;&nbsp; x(11) = x(0)<BR>&nbsp;&nbsp;&nbsp;&nbsp; y(11) = y(2)<BR>&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp; Dim inspt(0 To 2) As Double<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; inspt(0) = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; inspt(1) = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; inspt(2) = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp; Set buffblock = ThisDrawing.Blocks.Add(inspt, "buffblock")<BR>&nbsp;&nbsp; <BR>&nbsp; Dim startpoint(0 To 2) As Double<BR>&nbsp; Dim endpoint(0 To 2) As Double<BR>&nbsp; Dim i As Integer<BR>&nbsp; Dim j As Integer<BR>&nbsp; For i = 0 To 11<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; startpoint(0) = x(i)<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; startpoint(1) = y(i)<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; startpoint(2) = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; j = i + 1<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If i = 11 Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; j = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; endpoint(0) = x(j)<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; endpoint(1) = y(j)<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; endpoint(2) = 0<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If beamexists Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; lineobject(i).startpoint = startpoint<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; lineobject(i).endpoint = endpoint<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Else<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Set lineobject(i) = buffblock.AddLine(startpoint, endpoint)<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp; Next<BR>End Sub</P>
<P><BR>Public Sub updatabeam(width As Double, height As Double, webthickness As Double, solidlength As Double)<BR>&nbsp;&nbsp;&nbsp; definebeam width, height, webthickness<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp; regionobject(0).Erase<BR>&nbsp;&nbsp;&nbsp; regionobject = buffblock.AddRegion(lineobject)<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp; solidobject.Erase<BR>&nbsp;&nbsp;&nbsp; Set solidobject = ThisDrawing.ModelSpace.AddExtrudedSolid(regionobject(0), solidlenght, 0)<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ThisDrawing.ActiveViewport.ZoomExtents<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; beamexists = True<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp; <BR>End Sub</P>
<P><BR>Public Function momentofinteria(width As Double, height As Double, webthickness As Double) As Double<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp; Dim webht As Double<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; webht = height - 2 * webthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; momentofinteria = (width * height * height - webthickness * webht * webht * webht) / 12<BR>End Function</P>
<P>Public Function sectionmodulus(width As Double, height As Double, webthickness As Double) As Double<BR>&nbsp;&nbsp; Dim mi As Double<BR>&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; mi = momentofinteria(width, height, webthickness)<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; sectionmodulus = (mi * 12) / (6 * height)</P>
<P>End Function </P>
<P>这是模块里的程序</P>

xyy_82216 发表于 2006-5-13 00:16:00

<P>'<BR>'Sub rotate_3Dbox()<BR>'&nbsp;&nbsp; Dim boxobj As Acad3DSolid<BR>'&nbsp;&nbsp; Dim length As Double<BR>'&nbsp;&nbsp; Dim width As Double<BR>'&nbsp;&nbsp; Dim height As Double<BR>'&nbsp;&nbsp; Dim center(0 To 2) As Double<BR>'<BR>'&nbsp;&nbsp; center(0) = 5<BR>'&nbsp;&nbsp; center(1) = 5<BR>'&nbsp;&nbsp; center(2) = 0<BR>'&nbsp;&nbsp; length = 5<BR>'&nbsp;&nbsp; width = 7<BR>'&nbsp;&nbsp; height = 9<BR>'<BR>'<BR>'&nbsp;&nbsp; Set boxobj = ThisDrawing.ModelSpace.AddBox(center, length, width, height)<BR>'End Sub</P>
<P><BR>Option Explicit</P>
<P><BR>Private Sub cmdcreatebeam_Click()</P>
<P>&nbsp;&nbsp; beamwidth = Scrlwidth.Value<BR>&nbsp;&nbsp; beamheight = Scrlheight.Value<BR>&nbsp;&nbsp; beamwebthickness = Scrlthickness.Value<BR>&nbsp;&nbsp; solidlength = scrllength.Value<BR>&nbsp;&nbsp; <BR>&nbsp;&nbsp; If checkrules(beamwidth, beamheight, beamwebthickness) Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; createibeam beamwidth, beamheight, beamwebthickness, solidlength<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; updatamomentandsection beamwidth, beamheight, beamwebthickness<BR>&nbsp;&nbsp; Else<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; MsgBox "sorry,the beam cannot be created with your settings.", vbExclamation<BR>&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp; If Not (beamexists) Then<BR>&nbsp;&nbsp;&nbsp;&nbsp; MsgBox "defult setting restored.", vbInformation<BR>&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp; Scrlwidth.Value = 650<BR>&nbsp;&nbsp;&nbsp; Scrlheight.Value = 650<BR>&nbsp;&nbsp;&nbsp; Scrlthickness.Value = 125<BR>&nbsp;&nbsp;&nbsp; scrllength.Value = 200<BR>&nbsp; End If<BR>End If<BR>&nbsp;&nbsp;&nbsp; <BR>End Sub</P>
<P>Private Sub cmdquit_Click()<BR>&nbsp;&nbsp;&nbsp; Unload Me<BR>End Sub</P>
<P>Private Sub Label8_Click()</P>
<P>End Sub</P>
<P>Private Sub Scrlheight_Change()<BR>&nbsp;&nbsp; If beamexists = True Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If checkrules(beamwidth, Scrlheight.Value, beamwebthickness) Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; beamheight = Scrlheight.Value<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; updatabeam beamwidth, beamheight, beamwebthickness, solidlength<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; updatamomentandsection beamwidth, beamheight, beamwebthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Else<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Scrlheight.Value = beamheight<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp; End If<BR>End Sub</P>
<P>Private Sub scrllength_Change()<BR>&nbsp; If beamexists Then<BR>&nbsp;&nbsp;&nbsp;&nbsp; solidlength = scrllength.Value<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp; updatabeam beamwidth, beamheight, beamwebthickness, solidlength<BR>&nbsp;&nbsp;&nbsp;&nbsp; updatamomentandsection beamwidth, beamheight, beamwebthickness<BR>&nbsp; End If<BR>End Sub</P>
<P>Private Sub Scrlthickness_Change()<BR>&nbsp;&nbsp;&nbsp; If beamexists Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If checkrules(beamwidth, beamheight, Scrlthickness.Value) Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; beamwebthickness = Scrlthickness.Value<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; updatabeam beamwidth, beamheight, beamwebthickness, solidlength<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; updatamomentandsection beamwidth, beamheight, beamwebthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Else<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Scrlthickness.Value = beamwebthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp;&nbsp; End If<BR>End Sub</P>
<P>Private Sub Scrlwidth_Change()<BR>&nbsp;&nbsp;&nbsp;&nbsp; If beamexists Then<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If checkrules(Scrlwidth.Value, beamheight, beamwebthickness) Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; beamwidth = Scrlwidth.Value<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; updatabeam beamwidth, beamheight, beamwebthickness, solidlength<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; updatamomentandsection beamwidth, beamheight, beamwebthickness<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Else<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Scrlwidth.Value = beamwidth<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp; <BR>End Sub</P>
<P>Private Sub UserForm_Click()</P>
<P>End Sub</P>
<P>Private Sub UserForm_Initialize()<BR>&nbsp;&nbsp; Scrlwidth.Value = 650<BR>&nbsp;&nbsp; Scrlheight.Value = 650<BR>&nbsp;&nbsp; Scrlthickness.Value = 125<BR>&nbsp;&nbsp; scrllength.Value = 200<BR>&nbsp;&nbsp; <BR>End Sub</P>
<P>&nbsp;</P>
<P>Private Sub updatamomentandsection(beamwidth#, beamheight#, beamwebthickness#)<BR>&nbsp;&nbsp; beammi = momentofinteria(beamwidth, beamheight, beamwebthickness)<BR>&nbsp;&nbsp; beamsectmod = sectionmodulus(beamwidth, beamheight, beamwebthickness)<BR>&nbsp;&nbsp; <BR>&nbsp;&nbsp; Label8.Caption = Format(beammi, "0.0000E+00")<BR>&nbsp;&nbsp; Label7.Caption = Format(beamsectmod, "0.0000E+00")<BR>End Sub</P>
<P>Private Sub UserForm_Terminate()<BR>&nbsp;&nbsp; Set solidobject = Nothing<BR>&nbsp;&nbsp; Dim entry As Object<BR>&nbsp;&nbsp; <BR>&nbsp;&nbsp; For Each entry In ThisDrawing.Blocks<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If entry.Name = "BUFFBLOCK" Then<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; buffblock.Delete<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; End If<BR>&nbsp;&nbsp;&nbsp; Next<BR>&nbsp;&nbsp;&nbsp; <BR>&nbsp;&nbsp;&nbsp; beamexists = False<BR>End Sub<BR></P>
<P>这是窗体程序,现在的问题就是想点击画的图就弹出窗体</P>

xinghesnak 发表于 2006-5-13 08:41:00

通过窗体的ObjectModified事件来做。。。

xyy_82216 发表于 2006-5-13 13:25:00

ObjectModified事件?????你能说的详细点么??我以前没有没有接触过这个时间~~~我上面发的有代码,ObjectModified事件加在哪呢?怎么加,先谢谢了~~~
页: [1]
查看完整版本: 急急急~~!怎么样点击图形,弹出对话框窗体来输入参数!~~~